#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using HeuristicLab.Core;
using HeuristicLab.Optimization;
using HeuristicLab.Persistence;

namespace HeuristicLab.Problems.DataAnalysis {
  [StorableType("2293165c-bdf5-4605-ad20-efe0c3a1b546")]
  public interface IDataAnalysisProblem : IProblem {
    IParameter ProblemDataParameter { get; }
    IDataAnalysisProblemData ProblemData { get; }
    event EventHandler ProblemDataChanged;
  }

  [StorableType("ba6d87ec-0140-45fa-b425-3aaa27d9fe3e")]
  public interface IDataAnalysisProblem<T> : IDataAnalysisProblem
  where T : class, IDataAnalysisProblemData {
    new IValueParameter<T> ProblemDataParameter { get; }
    new T ProblemData { get; set; }
  }
}
