﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.Collections.Generic;
using HeuristicLab.Core;
using HeuristicLab.Persistence;

namespace HeuristicLab.Problems.DataAnalysis {
  [StorableType("12a19472-f6d2-4a0f-92d5-044ea71bfce4")]
  public interface ITransformation : IParameterizedItem {
    string ShortName { get; }
    string Column { get; }
  }

  [StorableType("cc7719d1-3899-4afa-8394-a0c0b2761d32")]
  public interface ITransformation<T> : ITransformation {
    void ConfigureParameters(IEnumerable<T> data);
    IEnumerable<T> ConfigureAndApply(IEnumerable<T> data);
    IEnumerable<T> Apply(IEnumerable<T> data);
  }
}
